Subject: [PATCH v3 5/6] ARM: davinci: remoteproc board support for OMAP-L138 DSP

From: [email-masked] (Sekhar Nori)
Date: Wed, 5 Dec 2012 14:05:47 +0530

adding back the ARM list.

On 12/5/2012 7:53 AM, Tivy, Robert wrote:
>> -----Original Message-----
>> From: davinci-linux-open-source-bounces at linux.davincidsp.com
>> [mailto:davinci-linux-open-source-bounces at linux.davincidsp.com] On
>> Behalf Of Karicheri, Muralidharan
>> Sent: Tuesday, December 04, 2012 8:13 AM
>> To: davinci-linux-open-source at linux.davincidsp.com
>> Subject: Re: [PATCH v3 5/6] ARM: davinci: remoteproc board support for
>> OMAP-L138 DSP
>>
>> On 12/04/2012 09:53 AM, Murali Karicheri wrote:
>>>>
>>>>
>>> I believe this is addressing the same issue. This is a DT based
>>> solution, which I believe should add a framework and enhance it to
>>> support DT.
>> Forgot to paste the link. Here we go
>>
>> https://patchwork.kernel.org/patch/1635051/
>>
> 
> Thanks Murali, very interesting.
> 
> The thread in your link above mentions omap_hwmod at the end, and I've been looking at how that's handled but it's quite complex.  Would a similar solution (davinci_hwmod) be a good approach?

Um, no. I don't think the thread is proposing hwmod kind of
implementation for each machine that implements the (to be proposed)
reset API. Mike is just asking to have a look at omap hwmod to see how
it handles device resets for an inspiration on how the proposed API can
work. The final API will generic with machine specific implementation
for each machine that implements it.

OMAP created HWMOD to handle the complexities of that chip, there is no
need to replicate that in DaVinci.

The link is definitely interesting and exactly what we were looking for.
It will be better to continue the discussion on that thread there so all
interested parties are on a single thread.

Thanks,
Sekhar